unit hiMST_AddCols;

interface
     
uses Kol, Share, Debug, hiMTStrTbl, hiMST_EventManager;

type
  THIMST_AddCols = class(TDebug)
  private

  public
    _prop_MSTControl:IMSTControl;
    _prop_EventManager:IEventManager;
    _prop_AllMT_AddCol:boolean;
    _event_onChangeColLst:THI_Event;
    procedure _work_doMT_AddCols(var _Data:TData; Index:word);
  end;

implementation

//    
// ARG(FormatStrCol0, FormatStrCol1, ... FormatStrColN), 
// FormatStrCol (NameCol_WidthCol_IndexIcon_AlignTxtCol (0 - taLeft; 1 - taRight; 2 - taCenter))
//
procedure THIMST_AddCols._work_doMT_AddCols; // 
begin
  if not Assigned(_prop_MSTControl) then exit;
  _prop_MSTControl.addcols(_Data, _prop_AllMT_AddCol);
  _hi_onEvent(_event_onChangeColLst);
  if Assigned(_prop_EventManager) then
    _prop_EventManager.onchangecollst;
end;

end.