unit hiMST_AddRow;

interface
     
uses Kol, Share, Debug, hiMTStrTbl, hiMST_EventManager;

const
  ITM_ADD = -3;

type
  THIMST_AddRow = class(TDebug)
  private

  public
    _prop_MSTControl:IMSTControl;
    _prop_EventManager:IEventManager; 
    _event_onChange:THI_Event;
    procedure _work_doMT_Add(var _Data:TData; Index:word);
  end;

implementation

//    
// ARG(Col0, Col1, ... ColN)
//
procedure THIMST_AddRow._work_doMT_Add;
begin
  if not Assigned(_prop_MSTControl) then exit;
  _prop_MSTControl.actionitm(_Data, ITM_ADD);
  _hi_onEvent(_event_onChange);
  if Assigned(_prop_EventManager) then
    _prop_EventManager.onchange;
end;

end.